package com.huimv.eartag2.process2;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
//@ComponentScan(basePackages = {"com.huimv.eartag2.common.utils"})
@EntityScan(value = "com.huimv.eartag2.common.dao.entity")
@EnableJpaRepositories(basePackages = "com.huimv.eartag2.common.dao.repo")
public class HuimvProcess2Application {
    public static void main(String[] args) {
        SpringApplication.run(HuimvProcess2Application.class, args);
    }

}
