package com.huimv.eartag2.process2.service;

import com.alibaba.fastjson.JSONObject;

import java.sql.Date;
import java.sql.Timestamp;

public interface IEartagService {
    //
    void updateEartagRegister(String earmark, String deviceCode, Timestamp nowTimestamp, String farmId);
    //
    void updateEartagOnline(String earmark, String deviceCode, String todayDateText, Date todayDate, Timestamp nowTimestamp, JSONObject eartagJo, String farmId);
    //
    void updateEartagOfAllStatus(String earmark, String deviceCode, String todayDateText,String farmId);


    //读取耳标注册数据
    Integer getEartagRegTotalByFarmId(String farmId);

    //计算耳标在线数量
    int getEartagOnelineTotal(String farmId, String todayDateText);
}
