package com.huimv.eartag2.common.mq;

import org.springframework.stereotype.Component;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class Const {
    public final static String ROUTING_KEY_ASK = "topic.ask.key";
    public final static String QUEUE_ASK = "topic.ask.queue";
    public final static String EXCHANGE_ASK = "topic.ask.exchange";

    public final static String EXCHANGE_DEVICE = "topic.device.exchange";

    public final static String QUEUE_DEVICE_HEARTBEAT = "topic.device_heartbeat.queue";
    public final static String ROUTING_KEY_DEVICE_HEARTBEAT = "topic.device_heartbeat.key";

    public final static String QUEUE_DEVICE_TEMP = "topic.device_temp.queue";
    public final static String ROUTING_KEY_DEVICE_TEMP = "topic.device_temp.key";

    public final static String EXCHANGE_EARTAG = "topic.eartag.exchange";
    public final static String QUEUE_EARTAG = "topic.eartag.queue";
    public final static String ROUTING_KEY_EARTAG = "topic.eartag.key";

    //////////////////////////////////////////////////////////////////////////////////////////////////////////

    public final static String EXCHANGE_ASK_DEVICE = "topic.askDevice.exchange";
    public final static String ROUTING_KEY_ASK_DEVICE = "topic.askDevice.routeKey";
    public final static String QUEUE_ASK_DEVICE = "topic.askDevice.queue";

    public final static String EXCHANGE_ASK_EARTAG = "topic.askEartag.exchange";
    public final static String ROUTING_KEY_ASK_EARTAG = "topic.askEartag.routeKey";
    public final static String QUEUE_ASK_EARTAG = "topic.askEartag.queue";

    public final static String QUEUE_SYNC_DEVICE_REGISTER = "topic.syncDeviceRegister.queue";
    public final static String EXCHANGE_SYNC_DEVICE_REGISTER = "topic.syncDeviceRegister.exchange";
    public final static String ROUTING_KEY_SYNC_DEVICE_REGISTER = "topic.syncDeviceRegister.routeKey";

    // ========================== 同步设备总数 ========================== //
    public final static String QUEUE_SYNC_EARTAG_REGISTER = "topic.syncEartagRegister.queue";
    public final static String EXCHANGE_SYNC_EARTAG_REGISTER = "topic.syncEartagRegister.exchange";
    public final static String ROUTING_KEY_SYNC_EARTAG_REGISTER = "topic.syncEartagRegister.routeKey";

    // -------------------------- 同步设备总数 -------------------------- //
    public final static String QUEUE_SYNC_DEVICE_TOTAL = "topic.syncDeviceTotal.queue";
    public final static String EXCHANGE_SYNC_DEVICE_TOTAL = "topic.syncDeviceTotal.exchange";
    public final static String ROUTING_KEY_SYNC_DEVICE_TOTAL = "topic.syncDeviceTotal.routeKey";

    /**
     * 广播形式 同步注册设备信息
     */
    public final static String QUEUE_SYNC_DEVICE_FANOUT="fanout.syncDevice.queue";
    public final static String EXCHANGE_SYNC_DEVICE_FANOUT="fanout.syncDevice.exchange";
}
