package com.huimv.eartag2.common.utils;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class BizConst {
    //耳标上一次运动量数值
    public final static String EARTAG_LAST_ACT_PREFIX = "lastAct:earmark:";

    //所有设备注册信息都要加入缓存
//    public final static String DEVICE_REGISTER_PREFIX = "device_register_";
    public final static String DEVICE_REGISTER_PREFIX = "hash:register:device:";

    //在线设备统计信息加入缓存
//    public final static String DEVICE_ONLINE_PREFIX = "device_online_";
    public final static String DEVICE_ONLINE_PREFIX = "hash:online:device:";

    //牧场所有采集器设备编号集合+牧场id（Set）
    public final static String SET_FARM_DEVICE_ALL_PREFIX = "farm_device_all_";

    //牧场在线采集器设备编号集合+牧场id（Set）
//    public final static String SET_FARM_DEVICE_ONLINE_PREFIX = "set_farm_device_online_";
    public final static String SET_FARM_DEVICE_ONLINE_PREFIX = "set:onlineDevice:farm:";

    //牧场所有耳标编号集合+牧场id（Set）
//    public final static String SET_FARM_EARMARK_ALL_PREFIX = "farm_eartag_all_";

    //耳标注册缓存
//    public final static String EARTAG_REGISTER_PREFIX = "eartag_register_";
    public final static String EARTAG_REGISTER_PREFIX = "hash:register:eartag:";

    //在线耳标统计信息加入缓存
//    public final static String EARTAG_ONLINE_PREFIX = "eartag_online_";
    public final static String EARTAG_ONLINE_PREFIX = "hash:online:eartag:";

    //牧场在线耳标编号集合+牧场id（Set）
//    public final static String SET_FARM_EARMARK_ONLINE_PREFIX = "set_farm_eartag_online_";
    public final static String SET_FARM_EARMARK_ONLINE_PREFIX = "set:onlineEartag:farm:";

    //保存平台上所有设备集合
    public final static String SET_ALL_DEVICE_PREFIX = "set:all:deviceCode";

    //牧场总状态表+牧场id
    public final static String FARM_ALL_STATUS_PREFIX = "allStatus:farm:";

    //有效设备总数
    public final static String FARM_DEVICE_TOTAL_PREFIX = "deviceTotal:farm:";
    //设备在线总数
//    public final static String FARM_DEVICE_TOTAL_ONLINE_PREFIX = "deviceTotal:online:farm:";
    //设备取消数量
    public final static String FARM_DEVICE_CANCEL_PREFIX = "deviceCancel:farm:";

    //耳标总数
    public final static String FARM_EARTAG_TOTAL_PREFIX = "eartagTotal:farm:";
    //耳标在线总数
//    public final static String FARM_EARTAG_TOTAL_ONLINE_PREFIX = "eartagTotal:online:farm:";

    //耳标设备Hash
    public final static String ONLINE_EARMARK_DEVICE_PREFIX = "hash:onlineTimes:earmark:device:";

    //耳标最新流水
    public final static String EARTAG_FLOW_PREFIX = "hash:eartag.flow:earmark:";

    //芯片id和设备编码的映射
    public final static String CHIP_DEVICE_PREFIX = "hash:chipId";

    //环境温度高低温阈值
    public static final String HASH_ENV_TEMP_TV_PREFIX = "hash:envTempTv:farmId";

    //耳标温度高低温阈值
    public static final String HASH_EARTAG_TEMP_TV_PREFIX = "hash:eartagTempTv:farmId";


    public final static Integer CODE_DEVICE_ONLINE_NO_EXIST = 10001;
    public final static String MSG_DEVICE_ONLINE_NO_EXIST = "今天无在线设备.";

    public final static Integer CODE_DEVICE_REGISTER_NO_EXIST = 10002;
    public final static String MSG_DEVICE_REGISTER_NO_EXIST = "该设备的注册信息不存在.";

    public final static Integer CODE_DEVICE_EARTAG_COUNT_NO_EXIST = 10003;
    public final static String MSG_DEVICE_EARTAG_COUNT_NO_EXIST = "该设备下暂无任何耳标上传数据.";

    public final static Integer CODE_EARTAG_REGISTER_NO_EXIST = 10004;
    public final static String MSG_EARTAG_REGISTER_NO_EXIST = "该耳标暂无任何注册信息.";

    public final static Integer CODE_EARTAG_FLOW_NO_EXIST = 10005;
    public final static String MSG_EARTAG_FLOW_NO_EXIST = "该耳标当天暂无流水信息.";

    public final static Integer CODE_EARTAG_ONLINE_NO_EXIST = 10006;
    public final static String MSG_EARTAG_ONLINE_NO_EXIST = "该耳标暂无在线统计信息.";

    public final static Integer CODE_ENVTEMP_FLOW_NO_EXIST = 10007;
    public final static String MSG_ENVTEMP_FLOW_NO_EXIST = "该设备暂无温度流水信息.";

    public final static Integer CODE_DEVICE_CODE_EXIST = 10008;
    public final static String MSG_DEVICE_CODE_EXIST = "该设备编号已经存在.";

    public final static Integer CODE_DEVICE_STATUS_EXIST = 10009;


//    public final static Integer CODE_DEVICE_REGISTER_NO_EXIST = 10009;
//    public final static Integer CODE_DEVICE_STATUS_EXIST = 10009;

}
